
capture program drop placebo
program placebo
	local failtype = "$failtype"
	local type = "$type"
	local cwar = "$cwar"
	local t = $t
	qui prep1
	set more off
	gen d=.
	gen u=.
	gen l=.
	gen d2=.
	gen u2=.
	gen l2=.
	gen z=.
	gen type = "`type'"
	if type == "trans" {
		gen mp`type'= mp==1 & lmp==0 if mp~=. & lmp~=. 
       }
	else if type == "fail" {
		gen mp`type'= mp==0 & lmp==1 if mp~=. & lmp~=. & type=="fail"
       }
	egen maxmp`type' = max(mp`type'), by(cow)
	keep if maxmp`type'==1
	sort cow year
	tsset cow year
	egen min = min(year), by(cow)
	gen dx = year==min   /* first year, from 1989, in data set */
	tsset cow year
	replace dx = dx[_n-1] + 1 if dx==0 & dx[_n-1]~=0 & cow==cow[_n-1]
	gen dx`type'_lag = dx if mp`type'==1
	gen dx`type'_for = dx if mp`type'==1
	tsset cow year
	forval x = 1/`t' {
		replace dx`type'_for =l`x'.dx`type'_for if dx`type'_for==. & cow==l`x'.cow
		replace dx`type'_lag =f`x'.dx`type'_lag if dx`type'_lag==. & cow==f`x'.cow
	}
	gen pre`type' =  dx<dx`type'_lag & dx>=dx`type'_lag-`t'
	gen post`type' = dx>dx`type'_for & dx<=dx`type'_for+`t'
	replace  post`type' = 0 if pre`type' ==1		/* some years are both pre- and post-type; set to compare post-type only */
	table `failtype'  if year>1988 & year<2009 & (post`type'==1 | pre`type'==1) , c(mean a2_pc mean a15_pc)
	gen aiddem = ln(1+a2_pc)
	gen aidecon = ln(1+a15_pc)
	gen aidciv = ln(1+a16_pc)
	gen aidgov = ln(1+a17_pc)
	
	xi: xtreg aidecon `cwar' `failtype' if year>1988 & year<2009 & ( post`type'==1 | pre`type'==1) , i(cow) fe
	tab `failtype' if e(sample)
	nlcom (exp(_b[`failtype'])-1)*100, post
	qui matrix est1 =e(b)
	qui matrix se1 = e(V)
	replace d = est1[1,1] if _n==1
	replace u = est1[1,1] + (1.65*sqrt(se1[1,1])) if _n==1
	replace l = est1[1,1] - (1.65*sqrt(se1[1,1])) if _n==1
	xi: xtreg aiddem  `cwar' `failtype' if year>1988 & year<2009 & ( post`type'==1 | pre`type'==1) , i(cow) fe
	nlcom (exp(_b[`failtype'])-1)*100, post
	qui matrix est1 =e(b)
	qui matrix se1 = e(V)
	replace d = est1[1,1] if _n==2
	replace u = est1[1,1] + (1.65*sqrt(se1[1,1])) if _n==2
	replace l = est1[1,1] - (1.65*sqrt(se1[1,1])) if _n==2
	
	xi: xtreg aidgov `cwar' `failtype' if year>1988 & year<2009 & ( post`type'==1 | pre`type'==1) , i(cow) fe
	nlcom (exp(_b[`failtype'])-1)*100, post
	qui matrix est1 =e(b)
	qui matrix se1 = e(V)
	replace d = est1[1,1] if _n==3
	replace u = est1[1,1] + (1.65*sqrt(se1[1,1])) if _n==3
	replace l = est1[1,1] - (1.65*sqrt(se1[1,1])) if _n==3
	xi: xtreg aidciv  `cwar' `failtype' if year>1988 & year<2009 & ( post`type'==1 | pre`type'==1) , i(cow) fe
	nlcom (exp(_b[`failtype'])-1)*100, post
	qui matrix est1 =e(b)
	qui matrix se1 = e(V)
	replace d = est1[1,1] if _n==4
	replace u = est1[1,1] + (1.65*sqrt(se1[1,1])) if _n==4
	replace l = est1[1,1] - (1.65*sqrt(se1[1,1])) if _n==4
	
	gen d_  = round(d, 0.1)
	gen myparm=_n
	label var d "Estimate"
	label var l "90% CI"
	label var u "90% CI"
	if type == "trans" {
		global type = "transition"       
	}
	else if type == "fail" {
		global type = "failure"
    }
	graph twoway  (scatter d  myparm if _n<5, mlabel(d_) mlabposition(1) scheme(lean1)) /*
	*/ (rspike l u myparm if _n<5, ytitle("Percent change in aid after multiparty $type") xtitle("")),  /*
	*/ xscale(range(.5 4.5)) yli(0, lpattern(dash))   /*
	*/ xlab(1 "Economic" 2 "Democracy" 3 "Govt" 4 "Civil society") legend(pos(12) col(3) ring(1))
	graph export "C:\Users\jwright\Documents\My Dropbox\Research\UNWider\2013 files\DietrichWrightJOP\Manuscript files\Placebo$type.pdf"  , as(pdf)  replace
end

	global cwar = "cwar"
	global t = 3
	
	*Multiparty transitions placebo*
	global failtype = "posttrans"		/* pre- or post- */
	global type = "trans"			/* trans or fail */
	placebo
	
	*Multiparty failure placebo*
	global failtype = "postfail"   		/* pre- or post- */
	global type = "fail"			/* trans or fail */
	placebo

	
	
